MWAWGraphicShape::PathData Struct Reference documentation

MWAWGraphicShape::PathData Struct Reference

a simple path component More...

`#include <MWAWGraphicShape.hxx>`

## Public Member Functions
| PathData (char type, MWAWVec2f const &x=MWAWVec2f(), MWAWVec2f const &x1=MWAWVec2f(), MWAWVec2f const &x2=MWAWVec2f())
| constructor
void | translate (MWAWVec2f const &delta)
| translate all the coordinate by delta
void | scale (MWAWVec2f const &factor)
| scale all the coordinate by a factor
void | rotate (float angle, MWAWVec2f const &delta)
| rotate all the coordinate by angle (origin rotation) then translate coordinate
void | transform (MWAWTransformation const &matrix, float rotation)
| multiply all the coordinate by a matrix
bool | get (librevenge::RVNGPropertyList &pList, MWAWVec2f const &orig) const
| update the property list to correspond to a command
int | cmp (PathData const &a) const
| comparison function

## Public Attributes
char | m_type
| the type: M, L, ...
MWAWVec2f | m_x
| the main x value
MWAWVec2f | m_x1
| x1 value
MWAWVec2f | m_x2
| x2 value
MWAWVec2f | m_r
| the radius ( A command)
float | m_rotate
| the rotate ( A command)
bool | m_largeAngle
| large angle ( A command)
bool | m_sweep
| sweep value ( A command)

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWGraphicShape::PathData const &path)
| a print operator

## Detailed Description

a simple path component

## Constructor & Destructor Documentation

## ◆ PathData()

MWAWGraphicShape::PathData::PathData | ( | char | type,
|  | MWAWVec2f const & | x = MWAWVec2f(),
|  | MWAWVec2f const & | x1 = MWAWVec2f(),
|  | MWAWVec2f const & | x2 = MWAWVec2f() )
| inlineexplicit

constructor

## Member Function Documentation

## ◆ cmp()

int MWAWGraphicShape::PathData::cmp | ( | MWAWGraphicShape::PathData const & | a | ) | const

comparison function

## ◆ get()

bool MWAWGraphicShape::PathData::get | ( | librevenge::RVNGPropertyList & | pList,
|  | MWAWVec2f const & | orig ) const

update the property list to correspond to a command

## ◆ rotate()

void MWAWGraphicShape::PathData::rotate | ( | float | angle,
|  | MWAWVec2f const & | delta )

rotate all the coordinate by angle (origin rotation) then translate coordinate

## ◆ scale()

void MWAWGraphicShape::PathData::scale | ( | MWAWVec2f const & | factor | ) |

scale all the coordinate by a factor

## ◆ transform()

void MWAWGraphicShape::PathData::transform | ( | MWAWTransformation const & | matrix,
|  | float | rotation )

multiply all the coordinate by a matrix

## ◆ translate()

void MWAWGraphicShape::PathData::translate | ( | MWAWVec2f const & | delta | ) |

translate all the coordinate by delta

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWGraphicShape::PathData const & | path )
| friend

a print operator

## Member Data Documentation

## ◆ m_largeAngle

bool MWAWGraphicShape::PathData::m_largeAngle

large angle ( A command)

Referenced by cmp(), get(), MWAWGraphicShape::getPath(), and PathData().

## ◆ m_r

MWAWVec2f MWAWGraphicShape::PathData::m_r

the radius ( A command)

Referenced by cmp(), get(), MWAWGraphicShape::getPath(), and PathData().

## ◆ m_rotate

float MWAWGraphicShape::PathData::m_rotate

the rotate ( A command)

Referenced by cmp(), get(), PathData(), rotate(), and transform().

## ◆ m_sweep

bool MWAWGraphicShape::PathData::m_sweep

sweep value ( A command)

Referenced by cmp(), get(), MWAWGraphicShape::getPath(), and PathData().

## ◆ m_type

char MWAWGraphicShape::PathData::m_type

the type: M, L, ...

Referenced by cmp(), get(), PathData(), rotate(), scale(), transform(), and translate().

## ◆ m_x

MWAWVec2f MWAWGraphicShape::PathData::m_x

the main x value

Referenced by cmp(), get(), MWAWGraphicShape::getPath(), PathData(), rotate(), scale(), transform(), and translate().

## ◆ m_x1

MWAWVec2f MWAWGraphicShape::PathData::m_x1

x1 value

Referenced by cmp(), get(), PathData(), rotate(), scale(), transform(), and translate().

## ◆ m_x2

MWAWVec2f MWAWGraphicShape::PathData::m_x2

x2 value

Referenced by cmp(), get(), PathData(), rotate(), scale(), transform(), and translate().

The documentation for this struct was generated from the following files:

- MWAWGraphicShape.hxx
- MWAWGraphicShape.cxx